CassandraStorage.MarshallerType (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.hadoop.pig

## Enum CassandraStorage.MarshallerType

- java.lang.Object
- - java.lang.Enum<CassandraStorage.MarshallerType>
  - - org.apache.cassandra.hadoop.pig.CassandraStorage.MarshallerType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CassandraStorage.MarshallerType>
  Enclosing class:
    CassandraStorage

      protected static enum CassandraStorage.MarshallerType
      extends java.lang.Enum<CassandraStorage.MarshallerType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPARATOR`
    `DEFAULT_VALIDATOR`
    `KEY_VALIDATOR`
    `SUBCOMPARATOR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CassandraStorage.MarshallerType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CassandraStorage.MarshallerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMPARATOR

          public static final CassandraStorage.MarshallerType COMPARATOR

    - #### DEFAULT_VALIDATOR

          public static final CassandraStorage.MarshallerType DEFAULT_VALIDATOR

    - #### KEY_VALIDATOR

          public static final CassandraStorage.MarshallerType KEY_VALIDATOR

    - #### SUBCOMPARATOR

          public static final CassandraStorage.MarshallerType SUBCOMPARATOR

  - ### Method Detail

    - #### values

          public static CassandraStorage.MarshallerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CassandraStorage.MarshallerType c : CassandraStorage.MarshallerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CassandraStorage.MarshallerType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation